# Welcome to the _causalchamber_ package!

[![PyPI version](https://badge.fury.io/py/causalchamber.svg)](https://badge.fury.io/py/causalchamber)
[![Downloads](https://static.pepy.tech/badge/causalchamber)](https://pepy.tech/project/causalchamber)
[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)
[![Donate](https://img.shields.io/static/v1.svg?logo=Github%20Sponsors&label=donate&message=Github%20Sponsors&color=e874ff)](https://github.com/sponsors/juangamella)

![The Causal Chambers: (left) the wind tunnel, and (right) the light tunnel with the front panel removed to show its interior.](https://causalchamber.s3.eu-central-1.amazonaws.com/downloadables/the_chambers.jpg)

The `causalchamber` package provides different functionality for the [Causal Chambers](https://causalchamber.ai):

- **Remote API**: a Python interface to remotely access our pool of chambers and run your own experiments.
- **Datasets**: download existing datasets from the [dataset repository](https://github.com/juangamella/causal-chamber) directly into your Python code.
- **Simulators**: run simulators and mechanistic models of different chamber phenomena.
- **Ground truth**: load the ground-truth causal graphs and other information for each chamber.


Please see the project's [GitHub repository](https://github.com/juangamella/causal-chamber-package) for the complete documentation of the package.
